#pragma once

//////////////////////////////////////////////////////////////////////////
class CViewModel
	: public CDUIContainerCtrl
	, public CDUINotifyPump
{
	MMDeclare_ClassName(CViewModel)
	DuiDeclare_Message_Map()

public:
	CViewModel();
	virtual ~CViewModel();

	//control
protected:

	//variant
protected:

	//override
protected:
	virtual void OnInitView();
	virtual void OnFindControl();

	//notify
protected:
	void OnDuiWndManagerAttach(const DuiNotify &Notify);
	void OnDuiWndManagerDetach(const DuiNotify &Notify);

	//help
protected:
};
